PETSc version 3.15.5
Fix/Edit manual page

# PetscStageLogRegister

Registers a stage name for logging operations in an application code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogRegister(PetscStageLog stageLog, const char sname[], int *stage)

Not Collective

### Input Parameter

| stageLog | - The PetscStageLog
| sname | - the name to associate with that stage

### Output Parameter

| stage | - The stage index

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscStageLogCreate()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages